1. Storage & File Upload API
Bytrox Docs
  • Storage & File Upload API
    • File Upload
      POST
    • File Upload Copy
      GET
    • File Upload Copy Copy
      GET
    • File Upload Copy Copy Copy
      GET
  • pet
    • uploads an image
      POST
    • Add a new pet to the store
      POST
    • Update an existing pet
      PUT
    • Finds Pets by status
      GET
    • Finds Pets by tags
      GET
    • Find pet by ID
      GET
    • Updates a pet in the store with form data
      POST
    • Deletes a pet
      DELETE
  • store
    • Returns pet inventories by status
      GET
    • Place an order for a pet
      POST
    • Find purchase order by ID
      GET
    • Delete purchase order by ID
      DELETE
  • user
    • Creates list of users with given input array
      POST
    • Get user by user name
      GET
    • Updated user
      PUT
    • Delete user
      DELETE
    • Logs user into the system
      GET
    • Logs out current logged in user session
      GET
    • Creates list of users with given input array
      POST
    • Create user
      POST
  • Schemas
    • ApiResponse
    • UserArray
    • Category
    • Pet
    • Tag
    • Order
    • User
  1. Storage & File Upload API

File Upload Copy Copy Copy

Designing
Production
https://api.bytrox.com
Production
https://api.bytrox.com
GET
https://local.bytrox.com:443

Request

Header Params

Responses

🟒200Success
application/json
Bodyapplication/json

🟠400Error request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://local.bytrox.com:443' \
--header 'Content-Type: multipart/form-data'
Response Response Example
200 - Success
{
    "status": "ok",
    "meta": {
      "request_id": "123e4567-e89b-12d3-a456-426614174000",
      "timestamp": "2025-11-23T16:45:30.123Z",
      "client_ip": "192.168.1.100"
    },
    "data": {
      "size": 123456,
      "file_id": "AB12CD34EF56GH78",
      "name": "example.pdf",
      "storage_id": 1
    }
  }
}
Modified atΒ 2025-12-10 12:33:49
Previous
File Upload Copy Copy
Next
uploads an image
Built with